- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# file Struct Reference

`#include <kern_descrip.h>`

Collaboration diagram for file:

[legend]

## Data Fields
int | f_flag
fileDescriptor * | fd
char | path [1024]

## Detailed Description

Definition at line 93 of file kern_descrip.h.

## Field Documentation

int file::f_flag

Definition at line 94 of file kern_descrip.h.

Referenced by fcntl(), pipe(), and schedNewTask().

fileDescriptor* file::fd

Definition at line 96 of file kern_descrip.h.

Referenced by pipe(), read(), and sys_open().

char file::path[1024]

Definition at line 95 of file kern_descrip.h.

Referenced by sys_open().

The documentation for this struct was generated from the following file:

- src/sys/include/sys/kern_descrip.h